/* arch/arm/mach-s3c2410/tomtomgo-devs.h
 *
 * Declarations of TomTom GO platform devices.
 *
 * Copyright (C) 2004,2005 TomTom BV <http://www.tomtom.com/>
 * Author: Dimitry Andric <dimitry.andric@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __ARCH_ARM_MACH_S3C2410_TOMTOMGO_DEVS_H
#define __ARCH_ARM_MACH_S3C2410_TOMTOMGO_DEVS_H

#include <linux/device.h>

extern struct platform_device tomtomgo_device_ide;
extern struct platform_device tomtomgo_device_hw;
extern struct platform_device tomtomgo_device_adc;
extern struct platform_device tomtomgo_device_acc;
extern struct platform_device tomtomgo_device_bat;
extern struct platform_device tomtomgo_device_gpio;
extern struct platform_device tomtomgo_device_gps;
extern struct platform_device tomtomgo_device_onoff;
extern struct platform_device tomtomgo_device_pwm;
extern struct platform_device tomtomgo_device_rc;
extern struct platform_device tomtomgo_device_sd;
extern struct platform_device tomtomgo_device_ts;

#endif /* __ARCH_ARM_MACH_S3C2410_TOMTOMGO_DEVS_H */

/* EOF */
