{
	.id        = GOTYPE_M300,
	.type      = 300,
	.name      = "TomTom GO 500 SD card",
	.cputype   = GOCPU_S3C2440,
	.bluetooth = 1,
	.handsfree = 1,
	.battery   = 1,
	.sdcard    = 1,
	.harddisk  = 0,
	.tsfets    = 0,
	.remote    = 1,
	.pins      =
	{
		.SD_PWR_ON       = PIN_GPA17 | PIN_INVERTED,
		.SDCLK           = PIN_GPE5,
		.SDCMD           = PIN_GPE6,
		.SDDATA0         = PIN_GPE7,
		.SDDATA1         = PIN_GPE8,
		.SDDATA2         = PIN_GPE9,
		.SDDATA3         = PIN_GPE10,
		.WP_SD           = PIN_GPH8,
		.CD_SD           = PIN_GPF2 | PIN_INVERTED,
		.GPS_RESET       = PIN_GPC5 | PIN_INVERTED,
		.GPS_ON          = PIN_GPJ6,
		.GPS_1PPS        = PIN_GPG0 | PIN_NO_PULLUP,
		.GPS_REPRO       = PIN_GPG1,
		.HW_TYPE_0       = PIN_GPC2,
		.HW_TYPE_1       = PIN_GPC3,
		.HD_LED          = PIN_NOT_USED,
		.HDD_PWR_ON      = PIN_NOT_USED,
		.AT_RST          = PIN_NOT_USED,
		.HDD_BUF_EN      = PIN_NOT_USED,
		.HDD_IRQ         = PIN_NOT_USED,
		.HDD_DRQ         = PIN_NOT_USED,
		.HDD_DACK        = PIN_NOT_USED,
		.CHARGEFAULT     = PIN_GPJ1 | PIN_INVERTED,
		.CHARGE_OUT      = PIN_GPJ7 | PIN_FLOATING,
		.CHARGING        = PIN_GPJ12 | PIN_INVERTED,
		.AIN4_PWR        = PIN_GPA18,
		.DOCK_GP1        = PIN_GPF3 | PIN_INVERTED,
		.DOCK_GP2        = PIN_GPF4 | PIN_INVERTED,
		.DOCK_PWREN      = PIN_GPJ9 | PIN_INVERTED,
		.DOCKSNS0        = PIN_GPJ8 | PIN_INVERTED,
		.DOCKSNS1        = PIN_GPJ10 | PIN_INVERTED,
		.FSK_DATA_FFS    = PIN_GPJ5,
		.FSK_IRQ         = PIN_GPG8,
		.SPICLK          = PIN_GPE13,
		.SPIMSI          = PIN_GPE12,
		.SPIMSO          = PIN_GPE11,
		.FSK_EN          = PIN_GPJ2,
		.FSK_DCLK_FFE    = PIN_GPF5,
		.FSK_CLKOUT      = PIN_GPH10,
		.ACC_PWR_ON      = PIN_GPJ4 | PIN_INVERTED,
		.AMP_ON          = PIN_GPJ3,
		.DAC_PWR_ON      = PIN_GPA22,
		.MUTE_EXT        = PIN_GPA19,
		.MUTE_INT        = PIN_GPF6,
		.I2SSDO          = PIN_GPE4,
		.CDCLK           = PIN_GPE2,
		.I2SSCLK         = PIN_GPE1,
		.I2SLRCK         = PIN_GPE0,
		.I2SSDI          = PIN_GPE3,
		.L3CLOCK         = PIN_GPB4,
		.L3MODE          = PIN_GPB3,
		.L3DATA          = PIN_GPB2,
		.CTS_DOCK        = PIN_GPH0,
		.RTS_DOCK        = PIN_GPH1,
		.TXD_DOCK        = PIN_GPH2,
		.RXD_DOCK        = PIN_GPH3,
		.TXD_GPS         = PIN_GPH6,
		.RXD_GPS         = PIN_GPH7,
		.TXD_BT          = PIN_GPH4,
		.RXD_BT          = PIN_GPH5,
		.RTS_BT          = PIN_GPG9,
		.CTS_BT          = PIN_GPG10,
		.VD2             = PIN_GPC10,
		.VD3             = PIN_GPC11,
		.VD4             = PIN_GPC12,
		.VD5             = PIN_GPC13,
		.VD6             = PIN_GPC14,
		.VD7             = PIN_GPC15,
		.VD10            = PIN_GPD2,
		.VD11            = PIN_GPD3,
		.VD12            = PIN_GPD4,
		.VD13            = PIN_GPD5,
		.VD14            = PIN_GPD6,
		.VD15            = PIN_GPD7,
		.VD18            = PIN_GPD10,
		.VD19            = PIN_GPD11,
		.VD20            = PIN_GPD12,
		.VD21            = PIN_GPD13,
		.VD22            = PIN_GPD14,
		.VD23            = PIN_GPD15,
		.VDEN            = PIN_GPC4,
		.VCLK            = PIN_GPC1,
		.LCD_VCC_PWREN   = PIN_GPG4 | PIN_INVERTED,
		.LCD_BIAS_PWREN  = PIN_GPC7,
		.LCD_OEN         = PIN_GPC6,
		.BACKLIGHT_EN    = PIN_GPB1 | PIN_INVERTED,
		.BACKLIGHT_PWM   = PIN_GPB0,
		.USB_HOST_DETECT = PIN_GPF1 | PIN_INVERTED,
		.USB_PWR_EN      = PIN_NOT_USED,
		.USB_PULL_EN     = PIN_GPD0 | PIN_INVERTED,
		.SUSPEND         = PIN_NOT_USED,
		.USB_CLKOUT      = PIN_NOT_USED,
		.USB_RST         = PIN_NOT_USED,
		.ON_OFF          = PIN_GPF0 | PIN_INVERTED,
		.IGNITION        = PIN_GPF7 | PIN_INVERTED,
		.ACPWR           = PIN_GPJ11 | PIN_INVERTED,
		.XMON            = PIN_GPG13 | PIN_INVERTED | PIN_FLOATING,
		.XPON            = PIN_GPG12 | PIN_FLOATING,
		.YMON            = PIN_GPG15 | PIN_INVERTED | PIN_FLOATING,
		.YPON            = PIN_GPG14 | PIN_FLOATING,
	}
},
